> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific customer by ID



## OpenAPI

````yaml openapi/openapi.json get /api/customers/{id}
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/customers/{id}:
    get:
      tags:
        - Customers
      summary: Get a specific customer by ID
      operationId: d03d1278b7e26322e9a425406bc4e9f2
      parameters:
        - name: id
          in: path
          description: Customer ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Customer retrieved successfully
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      id:
                        type: integer
                      CID:
                        type: string
                      name:
                        type: string
                      email:
                        type: string
                      url:
                        type: string
                      number_range_id:
                        type: integer
                      marketing_opt_in_at:
                        type: string
                    type: object
                type: object
        '404':
          description: Customer not found
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````